> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List users



## OpenAPI

````yaml /openapi.json post /users/list
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /users/list:
    post:
      tags:
        - permissions
        - debug
      summary: List users
      operationId: PermissionsController_listUsers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListUsersBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUsersOutput'
components:
  schemas:
    ListUsersBody:
      type: object
      properties:
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/PageInfo'
        order:
          description: the sort options
          allOf:
            - $ref: '#/components/schemas/OrderDto'
        userIds:
          type: array
          items:
            type: string
    ListUsersOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/User'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    User:
      type: object
      properties:
        userId:
          type: string
          description: The ID of the user.
        roles:
          description: User role ids
          type: array
          items:
            $ref: '#/components/schemas/Role'
        permissions:
          description: The permissions associated with the user.
          type: array
          items:
            $ref: '#/components/schemas/Permission'
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the user
          readOnly: true
        updatedAt:
          format: date-time
          type: string
          description: the date of the last update of the user
          readOnly: true
      required:
        - userId
        - roles
        - permissions
        - createdAt
        - updatedAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    Role:
      type: object
      properties:
        productId:
          type: string
          description: The ID of the product the role is associated with
        roleId:
          type: string
          description: The ID of the role.
        permissions:
          description: The permissions associated with the user.
          type: array
          items:
            $ref: '#/components/schemas/Permission'
        createdAt:
          format: date-time
          type: string
          description: The date and time the role was created.
          readOnly: true
        updatedAt:
          format: date-time
          type: string
          description: The date and time the role was last updated.
          readOnly: true
      required:
        - productId
        - roleId
        - permissions
        - createdAt
        - updatedAt
    Permission:
      type: object
      properties:
        permissionId:
          type: string
          description: The ID of the permission.
        resourceIds:
          description: The ID of the resources.
          type: array
          items:
            type: string
      required:
        - permissionId
        - resourceIds

````